//special shader for maps by macchute

textures/macchute_terrain/mirror_water_surface	//pazur's mirror water
{
	qer_editorimage textures/macchute_terrain/mirror1.tga
	qer_trans .5
	surfaceparm trans
	portal
	surfaceparm nonsolid
	{
		map textures/macchute_terrain/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/liquids_sd/siwa_water.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		//alphaGen const 0.7
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/blue
{
	qer_editorimage textures/macchute_terrain/blue.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.9
}

textures/macchute_terrain/green
{
	qer_editorimage textures/macchute_terrain/green.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.9
}

textures/macchute_terrain/purple
{
	qer_editorimage textures/macchute_terrain/purple.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.9
}

textures/macchute_terrain/red
{
	qer_editorimage textures/macchute_terrain/red.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.9
}

textures/macchute_terrain/base
{
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_lightmapsize 512 512
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_shadeangle 120
}

textures/macchute_terrain/beach
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		map textures/temperate_sd/sand_patchnoise.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/beach_dirt
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		map textures/temperate_sd/sand_patchnoise.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/dirt3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/dirt_beach
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		map textures/temperate_sd/dirt3.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/sand_patchnoise.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/beach_gravel
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/sand_patchnoise.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/rocky_sand.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/grass
{
//------------- Grass Model -------------//

	q3map_foliage models/foliage/grassfoliage1a.md3 1.25 64 0.1 2
	q3map_foliage models/foliage/grassfoliage2a.md3 1.1 64 0.1 2
	q3map_foliage models/foliage/grassfoliage3a.md3 1 64 0.1 2

//------------------***------------------//

	q3map_baseshader textures/macchute_terrain/base
	surfaceparm grasssteps
	surfaceparm landmine
	{
		map textures/temperate_sd/grass_path1.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/grass_dirt
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm grasssteps
	surfaceparm landmine
	{
		map textures/temperate_sd/grass_path1.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/dirt3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/dirt_grass
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm grasssteps
	surfaceparm landmine
	{
		map textures/temperate_sd/dirt3.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/grass_path1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/gravel
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		map textures/temperate_sd/rocky_sand.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

//2016-12-12

textures/macchute_terrain/snow_dirt
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm snowsteps
	surfaceparm landmine
	{
		map textures/stone/mxsnow2.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/dirt3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/snow_wintergravel
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm snowsteps
	surfaceparm landmine
	{
		map textures/stone/mxsnow2.tga
		rgbgen identity
	}
	{
		map textures/stone/mxrock1aa.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/snow_puresnow
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm snowsteps
	surfaceparm landmine
	{
		map textures/stone/mxsnow2.tga
		rgbgen identity
	}
	{
		map textures/stone/mxsnow3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/snow_snowrock
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm snowsteps
	{
		map textures/stone/mxsnow2.tga
		rgbgen identity
	}
	{
		map textures/stone/mxrock3_a.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/beach_desert
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm gravelsteps
	surfaceparm landmine
	surfaceparm dust
	{
		map textures/temperate_sd/sand_patchnoise.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_wave_desert.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/sandrock_desert
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm gravelsteps
	surfaceparm landmine
	surfaceparm dust
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_wave_desert.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/cobblestone_desert
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		map textures/desert_sd/pavement_quad_sandy.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_wave_desert.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/cobblestone_desertdirt
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		map textures/desert_sd/pavement_quad_sandy.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/beach_desertdirt
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		map textures/temperate_sd/sand_patchnoise.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/grass_desertdirt
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		map textures/temperate_sd/grass_path1.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/macchute_terrain/cracked_desertdirt
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm gravelsteps
	surfaceparm landmine
	surfaceparm dust
	{
		map textures/egypt_floor_sd/dirt_cracked_01.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_patchy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}


textures/macchute_terrain/cracked_desert
{
	q3map_baseshader textures/macchute_terrain/base
	surfaceparm gravelsteps
	surfaceparm landmine
	surfaceparm dust
	{
		map textures/egypt_floor_sd/dirt_cracked_01.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_wave_desert.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}